Package org.codehaus.groovy.tools.groovydoc

# Class SimpleGroovyClassDocAssembler

java.lang.Object
org.codehaus.groovy.antlr.treewalker.VisitorAdapter
org.codehaus.groovy.tools.groovydoc.SimpleGroovyClassDocAssembler

All Implemented Interfaces:
  `GroovyTokenTypes`, `Visitor`

    public class SimpleGroovyClassDocAssembler
    extends VisitorAdapter
    implements GroovyTokenTypes

- ## Field Summary

  ### Fields inherited from interface org.codehaus.groovy.antlr.parser.GroovyTokenTypes

  `ABSTRACT, ANNOTATION, ANNOTATION_ARRAY_INIT, ANNOTATION_DEF, ANNOTATION_FIELD_DEF, ANNOTATION_MEMBER_VALUE_PAIR, ANNOTATIONS, ARRAY_DECLARATOR, ASSIGN, AT, BAND, BAND_ASSIGN, BIG_SUFFIX, BLOCK, BNOT, BOR, BOR_ASSIGN, BSR, BSR_ASSIGN, BXOR, BXOR_ASSIGN, CASE_GROUP, CLASS_DEF, CLOSABLE_BLOCK, CLOSABLE_BLOCK_OP, CLOSURE_LIST, COLON, COMMA, COMPARE_TO, CTOR_CALL, CTOR_IDENT, DEC, DIGIT, DIGITS_WITH_UNDERSCORE, DIGITS_WITH_UNDERSCORE_OPT, DIV, DIV_ASSIGN, DOLLAR, DOLLAR_REGEXP_CTOR_END, DOLLAR_REGEXP_LITERAL, DOLLAR_REGEXP_SYMBOL, DOT, DYNAMIC_MEMBER, ELIST, ELVIS_OPERATOR, EMPTY_STAT, ENUM_CONSTANT_DEF, ENUM_DEF, EOF, EQUAL, ESC, ESCAPED_DOLLAR, ESCAPED_SLASH, EXPONENT, EXPR, EXTENDS_CLAUSE, FINAL, FLOAT_SUFFIX, FOR_CONDITION, FOR_EACH_CLAUSE, FOR_IN_ITERABLE, FOR_INIT, FOR_ITERATOR, GE, GT, HEX_DIGIT, IDENT, IDENTICAL, IMPLEMENTS_CLAUSE, IMPLICIT_PARAMETERS, IMPORT, INC, INDEX_OP, INSTANCE_INIT, INTERFACE_DEF, LABELED_ARG, LABELED_STAT, LAND, LBRACK, LCURLY, LE, LETTER, LIST_CONSTRUCTOR, LITERAL_as, LITERAL_assert, LITERAL_boolean, LITERAL_break, LITERAL_byte, LITERAL_case, LITERAL_catch, LITERAL_char, LITERAL_class, LITERAL_continue, LITERAL_def, LITERAL_default, LITERAL_double, LITERAL_else, LITERAL_enum, LITERAL_extends, LITERAL_false, LITERAL_finally, LITERAL_float, LITERAL_for, LITERAL_if, LITERAL_implements, LITERAL_import, LITERAL_in, LITERAL_instanceof, LITERAL_int, LITERAL_interface, LITERAL_long, LITERAL_native, LITERAL_new, LITERAL_null, LITERAL_package, LITERAL_private, LITERAL_protected, LITERAL_public, LITERAL_return, LITERAL_short, LITERAL_static, LITERAL_super, LITERAL_switch, LITERAL_synchronized, LITERAL_this, LITERAL_threadsafe, LITERAL_throw, LITERAL_throws, LITERAL_trait, LITERAL_transient, LITERAL_true, LITERAL_try, LITERAL_void, LITERAL_volatile, LITERAL_while, LNOT, LOR, LPAREN, LT, MAP_CONSTRUCTOR, MEMBER_POINTER, METHOD_CALL, METHOD_DEF, MINUS, MINUS_ASSIGN, ML_COMMENT, MOD, MOD_ASSIGN, MODIFIERS, MULTICATCH, MULTICATCH_TYPES, NLS, NOT_EQUAL, NOT_IDENTICAL, NULL_TREE_LOOKAHEAD, NUM_BIG_DECIMAL, NUM_BIG_INT, NUM_DOUBLE, NUM_FLOAT, NUM_INT, NUM_LONG, OBJBLOCK, ONE_NL, OPTIONAL_DOT, PACKAGE_DEF, PARAMETER_DEF, PARAMETERS, PLUS, PLUS_ASSIGN, POST_DEC, POST_INC, QUESTION, RANGE_EXCLUSIVE, RANGE_INCLUSIVE, RBRACK, RCURLY, REGEX_FIND, REGEX_MATCH, REGEXP_CTOR_END, REGEXP_LITERAL, REGEXP_SYMBOL, RPAREN, SELECT_SLOT, SEMI, SH_COMMENT, SL, SL_ASSIGN, SL_COMMENT, SLIST, SPREAD_ARG, SPREAD_DOT, SPREAD_MAP_ARG, SR, SR_ASSIGN, STAR, STAR_ASSIGN, STAR_STAR, STAR_STAR_ASSIGN, STATIC_IMPORT, STATIC_INIT, STRICTFP, STRING_CH, STRING_CONSTRUCTOR, STRING_CTOR_END, STRING_CTOR_MIDDLE, STRING_CTOR_START, STRING_LITERAL, STRING_NL, SUPER_CTOR_CALL, TRAIT_DEF, TRIPLE_DOT, TYPE, TYPE_ARGUMENT, TYPE_ARGUMENTS, TYPE_LOWER_BOUNDS, TYPE_PARAMETER, TYPE_PARAMETERS, TYPE_UPPER_BOUNDS, TYPECAST, UNARY_MINUS, UNARY_PLUS, UNUSED_CONST, UNUSED_DO, UNUSED_GOTO, VARIABLE_DEF, VARIABLE_PARAMETER_DEF, VOCAB, WILDCARD_TYPE, WS`

  ### Fields inherited from interface org.codehaus.groovy.antlr.treewalker.Visitor

  `CLOSING_VISIT, OPENING_VISIT, SECOND_VISIT, SUBSEQUENT_VISIT`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `SimpleGroovyClassDocAssembler​(java.lang.String packagePath, java.lang.String file, SourceBuffer sourceBuffer, java.util.List<LinkArgument> links, java.util.Properties properties, boolean isGroovy)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.util.Map<java.lang.String,​GroovyClassDoc>` | `getGroovyClassDocs()` |
  `GroovySourceAST` | `pop()` |
  `void` | `push​(GroovySourceAST t)` |
  `void` | `visitAnnotationDef​(GroovySourceAST t, int visit)` |
  `void` | `visitAnnotationFieldDef​(GroovySourceAST t, int visit)` |
  `void` | `visitAssign​(GroovySourceAST t, int visit)` |
  `void` | `visitClassDef​(GroovySourceAST t, int visit)` |
  `void` | `visitCtorIdent​(GroovySourceAST t, int visit)` |
  `void` | `visitEnumConstantDef​(GroovySourceAST t, int visit)` |
  `void` | `visitEnumDef​(GroovySourceAST t, int visit)` |
  `void` | `visitExtendsClause​(GroovySourceAST t, int visit)` |
  `void` | `visitImplementsClause​(GroovySourceAST t, int visit)` |
  `void` | `visitImport​(GroovySourceAST t, int visit)` |
  `void` | `visitInterfaceDef​(GroovySourceAST t, int visit)` |
  `void` | `visitMethodCall​(GroovySourceAST t, int visit)` |
  `void` | `visitMethodDef​(GroovySourceAST t, int visit)` |
  `void` | `visitPackageDef​(GroovySourceAST t, int visit)` |
  `void` | `visitTraitDef​(GroovySourceAST t, int visit)` |
  `void` | `visitVariableDef​(GroovySourceAST t, int visit)` |

  ### Methods inherited from class org.codehaus.groovy.antlr.treewalker.VisitorAdapter

  `setUp, tearDown, visitAbstract, visitAnnotation, visitAnnotationArrayInit, visitAnnotationMemberValuePair, visitAnnotations, visitArrayDeclarator, visitAt, visitBand, visitBandAssign, visitBigSuffix, visitBlock, visitBnot, visitBor, visitBorAssign, visitBsr, visitBsrAssign, visitBxor, visitBxorAssign, visitCaseGroup, visitClosedBlock, visitClosureList, visitClosureOp, visitColon, visitComma, visitCompareTo, visitCtorCall, visitDec, visitDefault, visitDigit, visitDiv, visitDivAssign, visitDollar, visitDot, visitDynamicMember, visitElist, visitEmptyStat, visitEof, visitEqual, visitEsc, visitExponent, visitExpr, visitFinal, visitFloatSuffix, visitForCondition, visitForEachClause, visitForInit, visitForInIterable, visitForIterator, visitGe, visitGt, visitHexDigit, visitIdent, visitImplicitParameters, visitInc, visitIndexOp, visitInstanceInit, visitLabeledArg, visitLabeledStat, visitLand, visitLbrack, visitLcurly, visitLe, visitLetter, visitListConstructor, visitLiteralAs, visitLiteralAssert, visitLiteralBoolean, visitLiteralBreak, visitLiteralByte, visitLiteralCase, visitLiteralCatch, visitLiteralChar, visitLiteralClass, visitLiteralContinue, visitLiteralDef, visitLiteralDefault, visitLiteralDouble, visitLiteralElse, visitLiteralEnum, visitLiteralExtends, visitLiteralFalse, visitLiteralFinally, visitLiteralFloat, visitLiteralFor, visitLiteralIf, visitLiteralImplements, visitLiteralImport, visitLiteralIn, visitLiteralInstanceof, visitLiteralInt, visitLiteralInterface, visitLiteralLong, visitLiteralNative, visitLiteralNew, visitLiteralNull, visitLiteralPackage, visitLiteralPrivate, visitLiteralProtected, visitLiteralPublic, visitLiteralReturn, visitLiteralShort, visitLiteralStatic, visitLiteralSuper, visitLiteralSwitch, visitLiteralSynchronized, visitLiteralThis, visitLiteralThreadsafe, visitLiteralThrow, visitLiteralThrows, visitLiteralTransient, visitLiteralTrue, visitLiteralTry, visitLiteralVoid, visitLiteralVolatile, visitLiteralWhile, visitLnot, visitLor, visitLparen, visitLt, visitMapConstructor, visitMemberPointer, visitMinus, visitMinusAssign, visitMlComment, visitMod, visitModAssign, visitModifiers, visitMultiCatch, visitMultiCatchTypes, visitNls, visitNotEqual, visitNullTreeLookahead, visitNumBigDecimal, visitNumBigInt, visitNumDouble, visitNumFloat, visitNumInt, visitNumLong, visitObjblock, visitOneNl, visitOptionalDot, visitParameterDef, visitParameters, visitPlus, visitPlusAssign, visitPostDec, visitPostInc, visitQuestion, visitRangeExclusive, visitRangeInclusive, visitRbrack, visitRcurly, visitRegexFind, visitRegexMatch, visitRegexpCtorEnd, visitRegexpLiteral, visitRegexpSymbol, visitRparen, visitSelectSlot, visitSemi, visitShComment, visitSl, visitSlAssign, visitSlComment, visitSlist, visitSpreadArg, visitSpreadDot, visitSpreadMapArg, visitSr, visitSrAssign, visitStar, visitStarAssign, visitStarStar, visitStarStarAssign, visitStaticImport, visitStaticInit, visitStrictfp, visitStringCh, visitStringConstructor, visitStringCtorEnd, visitStringCtorMiddle, visitStringCtorStart, visitStringLiteral, visitStringNl, visitSuperCtorCall, visitTripleDot, visitType, visitTypeArgument, visitTypeArguments, visitTypecast, visitTypeLowerBounds, visitTypeParameter, visitTypeParameters, visitTypeUpperBounds, visitUnaryMinus, visitUnaryPlus, visitUnusedConst, visitUnusedDo, visitUnusedGoto, visitVariableParameterDef, visitVocab, visitWildcardType, visitWs`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SimpleGroovyClassDocAssembler

    public SimpleGroovyClassDocAssembler​(java.lang.String packagePath, java.lang.String file, SourceBuffer sourceBuffer, java.util.List<LinkArgument> links, java.util.Properties properties, boolean isGroovy)

- ## Method Details

  - ### getGroovyClassDocs

    public java.util.Map<java.lang.String,​GroovyClassDoc> getGroovyClassDocs()

  - ### visitInterfaceDef

    public void visitInterfaceDef​(GroovySourceAST t, int visit)
    Specified by:
      `visitInterfaceDef` in interface `Visitor`
    Overrides:
      `visitInterfaceDef` in class `VisitorAdapter`

  - ### visitTraitDef

    public void visitTraitDef​(GroovySourceAST t, int visit)
    Specified by:
      `visitTraitDef` in interface `Visitor`
    Overrides:
      `visitTraitDef` in class `VisitorAdapter`

  - ### visitEnumDef

    public void visitEnumDef​(GroovySourceAST t, int visit)
    Specified by:
      `visitEnumDef` in interface `Visitor`
    Overrides:
      `visitEnumDef` in class `VisitorAdapter`

  - ### visitAnnotationDef

    public void visitAnnotationDef​(GroovySourceAST t, int visit)
    Specified by:
      `visitAnnotationDef` in interface `Visitor`
    Overrides:
      `visitAnnotationDef` in class `VisitorAdapter`

  - ### visitClassDef

    public void visitClassDef​(GroovySourceAST t, int visit)
    Specified by:
      `visitClassDef` in interface `Visitor`
    Overrides:
      `visitClassDef` in class `VisitorAdapter`

  - ### visitPackageDef

    public void visitPackageDef​(GroovySourceAST t, int visit)
    Specified by:
      `visitPackageDef` in interface `Visitor`
    Overrides:
      `visitPackageDef` in class `VisitorAdapter`

  - ### visitImport

    public void visitImport​(GroovySourceAST t, int visit)
    Specified by:
      `visitImport` in interface `Visitor`
    Overrides:
      `visitImport` in class `VisitorAdapter`

  - ### visitExtendsClause

    public void visitExtendsClause​(GroovySourceAST t, int visit)
    Specified by:
      `visitExtendsClause` in interface `Visitor`
    Overrides:
      `visitExtendsClause` in class `VisitorAdapter`

  - ### visitImplementsClause

    public void visitImplementsClause​(GroovySourceAST t, int visit)
    Specified by:
      `visitImplementsClause` in interface `Visitor`
    Overrides:
      `visitImplementsClause` in class `VisitorAdapter`

  - ### visitCtorIdent

    public void visitCtorIdent​(GroovySourceAST t, int visit)
    Specified by:
      `visitCtorIdent` in interface `Visitor`
    Overrides:
      `visitCtorIdent` in class `VisitorAdapter`

  - ### visitMethodDef

    public void visitMethodDef​(GroovySourceAST t, int visit)
    Specified by:
      `visitMethodDef` in interface `Visitor`
    Overrides:
      `visitMethodDef` in class `VisitorAdapter`

  - ### visitAnnotationFieldDef

    public void visitAnnotationFieldDef​(GroovySourceAST t, int visit)
    Specified by:
      `visitAnnotationFieldDef` in interface `Visitor`
    Overrides:
      `visitAnnotationFieldDef` in class `VisitorAdapter`

  - ### visitEnumConstantDef

    public void visitEnumConstantDef​(GroovySourceAST t, int visit)
    Specified by:
      `visitEnumConstantDef` in interface `Visitor`
    Overrides:
      `visitEnumConstantDef` in class `VisitorAdapter`

  - ### visitVariableDef

    public void visitVariableDef​(GroovySourceAST t, int visit)
    Specified by:
      `visitVariableDef` in interface `Visitor`
    Overrides:
      `visitVariableDef` in class `VisitorAdapter`

  - ### visitAssign

    public void visitAssign​(GroovySourceAST t, int visit)
    Specified by:
      `visitAssign` in interface `Visitor`
    Overrides:
      `visitAssign` in class `VisitorAdapter`

  - ### visitMethodCall

    public void visitMethodCall​(GroovySourceAST t, int visit)
    Specified by:
      `visitMethodCall` in interface `Visitor`
    Overrides:
      `visitMethodCall` in class `VisitorAdapter`

  - ### push

    public void push​(GroovySourceAST t)
    Specified by:
      `push` in interface `Visitor`
    Overrides:
      `push` in class `VisitorAdapter`

  - ### pop

    public GroovySourceAST pop()
    Specified by:
      `pop` in interface `Visitor`
    Overrides:
      `pop` in class `VisitorAdapter`